ru.bitel.bgbilling.kernel.event

## Class QueueEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    AccountCreatedEvent, AccountDeleteEvent, AccountUpdateEvent, AlfabankAutopaymentEvent, AlfabankCheckEvent, BillCreatedEvent, CardActivateRequestEvent, CardGetRequestEvent, ChargeEvent, ChronoPayAutopaymentEvent, ChronoPayCheckEvent, ClientItemChangedEvent, ContractAddObjectEvent, ContractDeleteObjectEvent, ContractLimitUserLow, ContractNpayChangedEvent, ContractObjectParameterUpdateEvent, ContractParamChangedEvent, ContractPasswordChangedEvent, ContractPeriodCloseEvent, ContractPeriodDeleteEvent, ContractPeriodUpdateEvent, ContractServicesChangedEvent, ContractStatusChangedEvent, ContractTariffDeleteEvent, ContractTariffUpdateEvent, ContractUpdateObjectEvent, DebetStatusManageAfterOpen, DisconnectByBalanceOverEvent, DispatchEvent, DispatchSubscriptionEvent, DocumentGeneratedEvent, FindFirstAccountingEvent, GazprombankAutopaymentEvent, GazprombankCheckEvent, GetLibrariesInfoEvent, GetLibraryEvent, InetAccountingManageEvent, InetAuthorizationRequestEvent, InetCanCalculateEvent, InetConnectionCommandEvent, InetConnectionDeviceStateAndOptionsModifyEvent, InetDetailCreateEvent, InetRecalculateBaseEvent, InetServDeviceStateAndOptionsModifyEvent, InetServStateChangedEvent, InvoiceCreatedEvent, LimitChangedEvent, LocalEvent, LoginUpdateEvent, MegogoSubscriptionRequestedEvent, MTSbankAutopaymentEvent, MTSbankCheckEvent, OmTvAccountModifyEvent, OmTvAccountOptionsModifyEvent, OmTvAccountProductPeriodModify, OmTvAccountServicesModify, OmTvAccountStateModifyEvent, OmTvProductsModifyEvent, OmVoiceAccountModifyEvent, OmVoiceAccountStateModifyEvent, PartitionedQueueEvent, PaymasterAutopaymentEvent, PaymasterCheckEvent, PaymentDeletedEvent, PaymentEvent, PayonlineAutopaymentEvent, PersonalTariffDeleteEvent, PersonalTariffTreeUpdateEvent, PersonalTariffUpdateEvent, PoolQueueEvent, ProblemOrCallChangedEvent, ProcessingContinueEvent, ProcessingSuspendEvent, PSBAutopaymentEvent, RequestLogGetEvent, RequestLogInfoEvent, RequestLogInfoEvent, ReserveCloseEvent, ReserveEvent, RFIeCommerceAutopaymentEvent, RFIeCommerceCheckEvent, RSCMContractServiceUpdateEvent, SberbankAutopaymentEvent, SberbankCheckEvent, ScriptSavingEvent, ServerStartEvent, ServiceUpdateEvent, SubscriptionActivateEvent, SubscriptionChangedEvent, SubscriptionRegistrationPeriodEndEvent, SubscriptionUpdateEvent, TariffOptionActivatedEvent, TariffOptionDeactivatedEvent, TariffOptionDeactivateEvent, TarrificationContinueEvent, TarrificationSuspendEvent, TimerEvent, TinkoffAutopaymentEvent, TinkoffCheckEvent, TopicWasUpdatedEvent, TvAccountCreatedEvent, TvAccountNeedProlongateEvent, UnitellerAutopaymentEvent, UnitellerCheckEvent, UserCardUpdateEvent, VepayAutopaymentEvent, VepayCheckEvent, VoiceSessionFinishEvent, YKAutopaymentEvent, YKCheckEvent

      public abstract class QueueEvent
      extends Event

  В отличие от `Event` доставляется только одному слушателю
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `QueueEvent()`
    `` | `QueueEvent(int moduleId, int contractId, int userId)`
    `` | `QueueEvent(int moduleId, int pluginId, int contractId, int userId)`

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueueEvent

          protected QueueEvent()

    - #### QueueEvent

          public QueueEvent(int moduleId,
                            int pluginId,
                            int contractId,
                            int userId)

    - #### QueueEvent

          public QueueEvent(int moduleId,
                            int contractId,
                            int userId)